Subject: Re: bug#23162: 25.0.50; issue with seq.el

From: Michael Heerdegen <[email-masked]>
Date: Thu, 31 Mar 2016 00:27:00 +0200

Mrinmoy Das <[email-masked]> writes:

> This is the first time I am sending a bug-report, please bear with me,
> incase I dont follow the protocols :-)

Thanks for reporting.

There is not much protocol apart from providing all relevant information
(which you did I think).

> seq-2.14.tar (https://elpa.gnu.org/packages/seq.html), has a file
> seq-25.el, where line 64 contains this
> ```
> (require 'cl-extra) ;; for cl-subseq
> ```
>
> Due to this line I was getting this error on startup
> ```
> Lisp error: (error Recursive require for feature cl-extra)
> ```

Nicolas, could you please have a look at this?  AFAIK you already
changed that in the lisp/emacs-lisp/seq.el version in master?

Thanks,

Michael.